[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'BufDataset' (#fcl)

# TBlobBuffer

Represents a buffer allocated for a Blob field

## Declaration

Source position: bufdataset.pas line 35

`type TBlobBuffer = record`
`FieldNo: Integer;` |  | Ordinal position of the field for the Block buffer
`OrgBufID: Integer;` |  | Identifies the original blob buffer for an update buffer
`Buffer: pointer;` |  | Pointer to memory allocated for the Blob buffer
`Size: PtrInt;` |  | Size of the memory allocated for the Blob buffer
`end;`

## Description

TBlobBuffer is a record type used to represent a buffer allocated for a Blob field. Pointers to TBlobBuffer (PBlobBuffer) are used in the implementation of TBufBlobStream and TBufDataset.

## See also

TBufBlobStream |  | Implements a Blob Stream for TBufDataset
TBlobField
TCustomBufDataset |  | Dataset connected to a database.
TBufDataset |  | Implements a database-aware buffered dataset